| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iShadowReceiver Struct Reference
[Lighting]

An object that is interested in getting shadow information. More...

`#include <iengine/shadcast.h>`

Inheritance diagram for iShadowReceiver:

[legend]
List of all members.

## Public Member Functions
virtual void | CastShadows (iMovable *movable, iFrustumView *fview)=0
| Cast shadows on this receiver.

## Detailed Description

An object that is interested in getting shadow information.

Definition at line 57 of file shadcast.h.

## Member Function Documentation

virtual void iShadowReceiver::CastShadows | ( | iMovable * | movable,
|  | iFrustumView * | fview |
| ) |  |  | `[pure virtual]`

Cast shadows on this receiver.

The documentation for this struct was generated from the following file:

- iengine/shadcast.h